package org.gcube.common.authorization.utils.manager;

import java.util.Set;

import org.gcube.common.authorization.utils.ContextTest;
import org.gcube.common.authorization.utils.secret.JWTSecret;
import org.gcube.common.authorization.utils.secret.Secret;
import org.gcube.common.authorization.utils.user.User;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class SecretManagerTest extends ContextTest {

	private static final Logger logger = LoggerFactory.getLogger(SecretManagerTest.class);
	
	@Test
	public void test() throws Exception {
		SecretManager secretManager = SecretManagerProvider.instance.get();
		SecretHolder secretHolder = secretManager.getCurrentSecretHolder();
		Set<Secret> secrets = secretHolder.getSecrets();
		for(Secret s : secrets) {
			logger.debug("{}: token={}", s.getClass().getSimpleName(), s.getToken());
		}
	}
	
	// @Test
	public void testJWToken() throws Exception {
		Secret secret = new JWTSecret("");
		User user = secret.getUser();
		String username = user.getUsername();
		String surnameName =  user.getFullName();
		String nameSurname =  user.getFullName(true);
		logger.debug("{} - {} - {}", username, surnameName, nameSurname);
	}
}
